Articles of Maven

Error al resolver la versión para org.apache.maven.archetypes

Configuré maven3.0.3 en mi máquina local. Han instalado el plugin m2e eclipse. Pero cuando trato de crear un nuevo proyecto maven usando maven-archetype-webapp, obtengo la siguiente excepción. Could not resolve archetype org.apache.maven.archetypes:maven-archetype-webapp:RELEASE from any of the configured repositories. Could not resolve artifact org.apache.maven.archetypes:maven-archetype- webapp:pom:RELEASE Failed to resolve version for org.apache.maven.archetypes:maven-archetype- webapp:pom:RELEASE: Could not find metadata […]

Maven y JSF webapp structure, donde exactamente poner los recursos de JSF

Realmente no entiendo la estructura de directorios con la aplicación web Maven y JSF. Cuando genero el proyecto, tengo esta estructura: src |_ main |_ java |_ resources |_ webapp |_ WEB-INF |_ web.xml |_ index.xhtml Quiero incluir algunos recursos: archivo javascript archivo css imágenes archivos i18n Puedo incluir archivos i18n dentro de src/main/resources pero […]

wildfly 10: java.lang.ClassCastException: org.dom4j.DocumentFactory no se puede convertir a org.dom4j.DocumentFactory

Tengo una aplicación maven que funciona bien en wildfly 8.2, pero cuando Ideployed en wildfly 10 ocurrió este error: [2016-02-21 11:22:08,411] Artifact SatwigdIssueTracking:war exploded: Error during artifact deployment. See server log for details. [2016-02-21 11:22:08,411] Artifact SatwigdIssueTracking:war exploded: java.lang.Exception: {“WFLYCTL0080: Failed services” => {“jboss.persistenceunit.SatwigdIssueTracking-1#SatwigdIssueTracking” => “org.jboss.msc.service.StartException in service jboss.persistenceunit.SatwigdIssueTracking-1#SatwigdIssueTracking: java.lang.ClassCastException: org.dom4j.DocumentFactory cannot be cast to […]

Cómo establecer el orden de los repositorys en Maven settings.xml

Tengo 3 repositorys en mi settings.xml porque necesito artefactos de todos ellos. Cuando no se encuentra una dependencia, Maven intenta Downloading: http://some.server/mvn2repo/releases/org/apache/lucene/lucene-core/2.9.1/… [INFO] Unable to find resource ‘org.apache.lucene:lucene-core:pom:2.9.1’ in repository Downloading: http://some.server/mvn2repo/3rdParty/org/apache/lucene/lucene-core/2.9.1/… [INFO] Unable to find resource ‘org.apache.lucene:lucene-core:pom:2.9.1’ in repository Downloading: http://repo1.maven.org/maven2/org/apache/lucene/lucene-core/2.9.1/lucene-core-2.9.1.pom todos los repositorys, pero la mayoría de las veces encuentra el artefacto en […]

CDI: beans.xml, ¿dónde te pongo?

Estoy usando Weld como implementación de CDI. Mi prueba de integración, que intenta ensamblar el gráfico de objetos instanciar el contenedor de soldadura funciona bien , cuando tengo beans.xml vacíos en src/test/java/META-INF/beans.xml . Aquí está esa prueba simple: public class WeldIntegrationTest { @Test public void testInjector() { new Weld().initialize(); // shouldn’t throw exception } } […]

¿Qué hace Maven Update Project en Eclipse?

¿Qué hace ” Maven -> Actualizar proyecto … ” en Eclipse?

m2e ciclo de vida-mapeo no encontrado

Estoy tratando de usar la solución que se describe aquí para resolver la molesta “ejecución del complemento no cubierta por la configuración del ciclo de vida: org.codehaus.mojo: build-helper-maven-plugin: 1.7: add-source (ejecución: por defecto, fase: generar- fonts) “cuando coloco el siguiente complemento en mi pom.xml: org.codehaus.mojo build-helper-maven-plugin generate-sources add-source src/bootstrap/java Pero cuando ejecuto mvn clean install […]

¿Iniciar programáticamente OSGi (Equinox)?

Me gustaría poder iniciar fácilmente un marco OSGi (preferiblemente Equinox) y cargar todos los paquetes enumerados en mi pom desde un directorio principal de Java. es posible? ¿Si es así, cómo? Parece que las herramientas pax harían esto, pero parece que no puedo encontrar ninguna documentación que lo indique. Sé que puedo iniciar Equinox de […]

Gradle: obtener la última versión de una dependencia

Cuál sería la forma más fácil de decirle a Gradle lo siguiente: Recupere la dependencia ‘junit’ y tome su última versión ‘release’. Administrar repositorys de Maven e Ivy es algo nuevo para mí. Probé los siguientes pasos y dieron como resultado Could not resolve dependency … error: Escriba compile “junit:junit:latest.release” con los repositorys configurados solo […]

Por qué Maven usa JDK 1.6 pero mi versión de Java es 1.7

Soy nuevo en maven, y también en MacOS. He configurado Maven en mi terminal, y al obtener la configuración de la versión (usando mvn -v ) parece que usa JDK 1.6, mientras tengo instalado JDK 1.7. ¿Hay algo mal? Los comandos que ingreso son estos: blues:helloworld Ninja$ java -version java version “1.7.0_05” Java(TM) SE Runtime […]